# QStringMatcher Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QStringMatcher()
- void QStringMatcher(String pattern, CaseSensitivity cs)
- void QStringMatcher(QStringMatcher other)

### Constructor Properties

- prototype: The QStringMatcher prototype object

### Prototype Object Properties

- CaseSensitivity caseSensitivity()
- int indexIn(String str, int from)
- String pattern()
- void setCaseSensitivity(CaseSensitivity cs)
- void setPattern(String pattern)

### Instance Properties

QStringMatcher objects have no special properties beyond those inherited from the QStringMatcher prototype object.